#
# spec file for package libfwsi
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define lname	libfwsi1
%define timestamp 20150105
Name:           libfwsi
Version:        0~%{timestamp}
Release:        5.1
Summary:        Library to access the Windows Shell Item format
License:        LGPL-3.0+ and GFDL-1.3+
Group:          Productivity/File utilities
Url:            https://github.com/libyal/libfwsi/wiki
Source:         https://github.com/libyal/libfwsi/releases/download/%timestamp/%name-experimental-%timestamp.tar.gz
Source2:        Windows_Shell_Item_format.pdf
BuildRequires:  pkg-config
BuildRequires:  python-devel
BuildRequires:  pkgconfig(libcerror) >= 20140105
BuildRequires:  pkgconfig(libcdata) >= 20140105
BuildRequires:  pkgconfig(libcnotify)
BuildRequires:  pkgconfig(libclocale)
BuildRequires:  pkgconfig(libfdatetime)
BuildRequires:  pkgconfig(libfguid)
BuildRequires:  pkgconfig(libuna)
BuildRequires:  pkgconfig(libcthreads) >= 20130723
BuildRequires:  pkgconfig(libcstring) >= 20150101
BuildRequires:  pkgconfig(libfole)
# not (yet) packaged in OBS
#BuildRequires:  pkgconfig(libfwps)
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Library to access the Windows Shell Item format for the libyal family of libraries.
libyal is typically used in digital forensic tools.

%package -n %{lname}
Summary:        Library to access the Windows Shell Item format
License:        LGPL-3.0+
Group:          System/Libraries

%description -n %{lname}
Library to access the Windows Shell Item format for the libyal family of libraries.
libyal is typically used in digital forensic tools.

%package devel
Summary:        Development files for libfwsi
License:        LGPL-3.0+ and GFDL-1.3+
Group:          Development/Libraries/C and C++
Requires:       %{lname} = %{version}

%description devel
Library to access the Windows Shell Item format for the libyal family of libraries.  libyal is typically used in digital forensic tools.

This subpackage contains libraries and header files for developing
applications that want to make use of libfwsi.

%package -n python-%name
Summary:        Python bindings for libfwsi
License:        LGPL-3.0+
Group:          Development/Libraries/Python
Requires:       python
Provides:	    pyfwsi

%description -n python-%name
Python bindings for libfwsi, a library to access Windows Shell Items.

%prep
%setup -q -n libfwsi-%{timestamp}
cp "%{S:2}" .

%build
%configure --disable-static --enable-wide-character-type --enable-python
make %{?_smp_mflags}

%install
make DESTDIR=%{buildroot} install %{?_smp_mflags}
find %{buildroot} -type f -name "*.la" -delete -print

%post   -n %{lname} -p /sbin/ldconfig

%postun -n %{lname} -p /sbin/ldconfig

%files -n %{lname}
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog
%{_libdir}/libfwsi.so.*

%files devel
%defattr(-,root,root)
%doc AUTHORS COPYING README ChangeLog
%doc Windows_Shell_Item_format.pdf
%{_includedir}/libfwsi.h
%{_includedir}/libfwsi/
%{_libdir}/libfwsi.so
%{_libdir}/pkgconfig/libfwsi.pc
%{_mandir}/man3/libfwsi.3*

%files -n python-%name
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog
%python_sitearch/pyfwsi.so

%changelog
* Thu Jan 15 2015 Greg.Freemyer@gmail.com
- update to v0~20150105
  * 2015 update
  * worked on Python 3 support
  * worked on utility scripts
  * small fixes
  * worked on format support
- update URL to the new github site
- replace Source: field with fully defined URL
- remove DL-URL comment
- remove %%if opensuse logic.  Not needed with libyal in security:forensics
- use libyal packages from OBS if available
* Mon Sep  1 2014 Greg.Freemyer@gmail.com
- initial package in OBS (v0~20140801)
